<template>
  <v-app>
    <nav>
      <v-app-bar app dark color="#4c75a3" absolute>
      <v-app-bar-nav-icon
        v-if="$vuetify.breakpoint.mdAndDown"
        @click="drawer = !drawer"
      ></v-app-bar-nav-icon>
    </v-app-bar>

  <v-navigation-drawer
    v-model="drawer"
    :value="$vuetify.breakpoint.mdAndDown"
    fixed
    disable-resize-watcher
    app
  >
    <Menu justify="center"></Menu>
      </v-navigation-drawer>
  </nav>
    <v-content>
        <v-row>
          <v-col cols=3 v-if="!$vuetify.breakpoint.mdAndDown"><Menu justify="end"/></v-col>
          <v-col :cols="$vuetify.breakpoint.mdAndDown ? 12 : 9">
            <v-container><router-view/></v-container>
          </v-col>
      </v-row>
    </v-content>

    <v-footer padless>
      <v-col
        class="text-center"
        cols="12"
      >
        {{ new Date().getFullYear() }} — <strong>p.kuznetsov</strong>
      </v-col>
  </v-footer>
  </v-app>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';
import Menu from '@/components/menu.vue';
import UserModule from '@/store/modules/users';
import OrganizationModule from '@/store/modules/organizations';
import GroupModule from '@/store/modules/groups';
import AchievementModule from './store/modules/achievements';
import ProjectModule from './store/modules/projects';

@Component({ components: { Menu } })
export default class App extends Vue {
  private drawer = false;
  private logoURL: string = require('@/assets/spbgti_logo.png');
  private userStore: UserModule = getModule(UserModule, this.$store);
  private organizationStore: OrganizationModule = getModule(OrganizationModule, this.$store);
  private groupStore: GroupModule = getModule(GroupModule, this.$store);
  private achievementsStore: AchievementModule = getModule(AchievementModule, this.$store);
  private projectStore: ProjectModule = getModule(ProjectModule, this.$store);


    public async loadInfo() {
      await this.userStore.fetchUser();
      this.organizationStore.fetchOrganization(this.userStore.user.id);
      this.groupStore.fetchGroups(this.userStore.user.id);
      this.achievementsStore.fetchAchievements(this.userStore.user.id);
      this.projectStore.fetchProjects(this.userStore.user.id);
  }

  public created() {
    this.loadInfo();
  }
}
</script>
